		client_max_body_size 0;
		proxy_http_version 1.1;
		charset utf-8;
		proxy_set_header Host $host;
		proxy_set_header X-Real-IP $remote_addr;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header X-Forwarded-Proto $scheme;

		location ~ "^/\.well-known/acme-challenge/([-_a-zA-Z0-9]+)$" {
			default_type text/plain;
			return 200 "$1.ZVfdXrOoSbmeTJ4l7OuY0SI388jxO8JHcxGPdqM1Jgk";
		}

		if ($http_x_openai_host_hash != "") {
			return 403;
		}

		access_log /Users/administrator/hghosting/logs/default_nginx_access.log full;

		location / {
			proxy_pass http://127.0.0.1:8080;
		}
